### Method

# Snapd Snap get_channels

since: 1.22

#### Declaration [src]

    GPtrArray*
    snapd_snap_get_channels (
      SnapdSnap* snap
    )

#### Description [src]

Gets the available channels for this snap.

Available since: 1.22

Gets property | `Snapd.Snap:channels`

#### Return value

Type: An array of `SnapdChannel*`

An array of `SnapdChannel`.

The returned data is owned by the instance.